inst-bpm - Task #9635

Milestone # 9608 (New): Down Converter Test

Make Synoptic pages for displaying DDC data
07/15/2015 01:33 PM - John Diamond

Status: Feedback Start date: 07/15/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 8.00 hours
Target version: Spent time: 5.00 hours
Description

A synoptic page that can plot DDC | & Q, Magnitude and position data.

History

#1 - 07/20/2015 03:54 PM - John Diamond
- % Done changed from 0 to 20

Create a Synoptic page for displaying raw buffer devices:

http://www-bd.fnal.gov/synoptic/display/Work_in_progress/instopm_display raw?m=Z&loc=BO0O&off=0&len=15999

Parameters:

e m = machine portion of ACNET device (e.g. Z for test devices)
e |oc = Three digit BPM location (e.g. BOO for test devices)

¢ off = Buffer offset

¢ |en = Buffer length

#2 - 07/20/2015 09:16 PM - John Diamond

Created a Synoptic display for turn-by-turn data:
http://www-bd.fnal.gov/synoptic/display/Work_in_progress/instopm_display_tbt

Parameters:

e m - ACNET machine character (e.g. Z for test devices)
¢ d - BPM Direction (H for horizontal, V for vertical)
e |oc - BPM location (e.g. BOO for first test BPM)

#3 - 07/20/2015 09:17 PM - John Diamond
- % Done changed from 20 to 40

#4 - 07/21/2015 09:22 AM - John Diamond
Turned on auto-scaling for plots.

Fixed the array lengths for data sources.
Trying for figure out why the | data and Magnitude data devices won't return more than 100 points.

#5 - 07/21/2015 09:42 AM - John Diamond
- Status changed from New to Closed

- % Done changed from 40 to 100

Trying for figure out why the | data and Magnitude data devices won't return more than 100 points.

Fixed - see #9611. TBT display seems to be working now.

#6 - 07/21/2015 04:54 PM - John Diamond
- Status changed from Closed to Feedback
http://www-bd.fnal.gov/synoptic/display/Work_in_progress/instbpm_display_raw?m=Z&loc=BOO&off=0&len=15999
http://www-bd.fnal.gov/synoptic/display/Work_in_progress/instbpm_display_tbt
https://cdcvs.fnal.gov/redmine/issues/9611

Except that Synoptic attempts to divide the 8000 sample plot into four reads which is not compatible with our use of the offset as a page index. See
#9611. On-hold until we hear from Linden.

#7 - 07/22/2015 10:56 AM - John Diamond

Added the BPM direction ('d") parameter to the raw display.
Removed the off and len parameters and hard-coded the display to show 16000 raw samples.

#8 - 07/22/2015 01:14 PM - John Diamond
Added a check of an offset out-of-bounds to the TBT devices. Returns MOOC_BAD_OFFSET for anything over 2.
